 <div class="d-flex flex-column justify-content-center mainDiv">
    <div class="card col-4 mx-auto mt-3 loginCard">
            <div class="card-body ">
                 <form [formGroup]="loginForm" (ngSubmit)="userLogin()">
                    <h4 class="text-center textColor">Login</h4>
                    <div class="form-group">
                     <label for="email">User name</label>
                     <input type="text" class="form-control" formControlName="userName" id="userName" placeholder="Enter email" name="userName" [ngClass]="{ 'is-invalid': submitted && f.userName.errors }">
                     <div *ngIf="submitted && f.userName.errors" class="invalid-feedback">
                         <div *ngIf="f.userName.errors.required">User name is required</div>
                         
                     </div>
                     </div>
                      <div class="form-group">
                        <label for="pwd">Password</label>
                        <input type="password" class="form-control" formControlName="password"   id="password" placeholder="Enter password" name="pswd" [ngClass]="{ 'is-invalid': submitted && f.password.errors }">
                        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                            <div *ngIf="f.password.errors.required">Password is required</div>
                             <div *ngIf="f.password.errors.minlength">Password must be at least 6 characters</div>
                       </div>
                        </div>      
                        <div class="text-center mt-2">
                         <button type="submit" class="btn btn-primary buttonColor ">Submit</button>
                        </div>
                    </form>
            <div>
    </div>
 </div>
 